function krstep, percentage,xsize,ysize
;creates a step mask as a function of percentage done

newMask = bytarr(xsize,ysize) + 255B ;start out opaque
x = bytarr(xsize*percentage)+1B
y = bytarr(ysize)+1B
ramp =x#y
newMask[0,0] = ramp
return,newMask
end

;{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|

pro maskFunctionExample

device,get_screen_size=scrSize
oProgress = obj_new('krProgressBar',xsize=200,ysize=25,xoffset=scrSize[0]/2, $
                     yoffset=scrSize[1]/2, /displayPercent, maskFunction='krstep')

for i=0,100 do begin
  oProgress->upDate,i
  wait,0.05
endfor

obj_destroy, oProgress

return & end