pro testImage

xsize = 200
ysize = 20
;base = widget_base(title=title,column=1, $
;                        group_leader=parent,uname='baseEvents', $
;                        floating=n_params(), xoffset=xoffset, yoffset=yoffset, $
;                        _extra=extra)
;drawId = widget_draw(base, xsize=xsize, ysize=ysize, graphics_level=2, $
;                     expose_events=1,uname='drawEvents')
;
;widget_control,base,/realize
;
;widget_control, drawId,get_value=oWindow

oWindow = obj_new('IDLgrWindow',dimen=[xsize,ysize],renderer=1)
oView = obj_new('IDLgrView',viewplane_rect=[0,0,xsize,ysize],color=[255,255,255])
oModel = obj_new('IDLgrModel')

red = bytscl([intarr(97),indgen(255-97)])
green = bytscl([indgen(255)])
blue = bytscl([intarr(181),indgen(256-181)])

;create a 1D array (I chose these numbers via trial and error)
;of 25 elements
image = [228,228,238,248,248,238,228,217,197,186,165,155,145,145,145, $
         145,155,166,176,186,186,186,176,166,124]
ysize = 25
image=congrid(image,ysize)
image = reform(image,1,ysize)
image = rebin(image,xsize,ysize)
;If I displayed the image right now (using color table 1) it would exactly like what I want,
;but I need the RGB components!
newImage = bytarr(3,200,25)
;so here is the trick
newImage[0,*,*] = red[image]
newImage[1,*,*] = green[image]
newImage[2,*,*] = blue[image]

oImage = obj_new('IDLgrImage',newImage)
;now make a white mask
;image[*,*,*] = 255B
;oMask = obj_new('IDLgrImage',image)

;self.oImage = backgroundImage
;self.oMask = maskImage

oModel->add,oImage
;oModel->add,oMask

oView->add, oModel
oWindow->draw,oView

return
end